FROM centos:7

LABEL maintainer="Arnold Gamarra <agamarra@americatel.com.pe>"

ENV NGINX_VERSION="1.12.2-1" \
    OS="centos" \
    CENTOS_VERSION="7" \
    EL_VERSION="7_4"

RUN yum -y update 

RUN yum install -y wget openssl sed &&\
    yum -y autoremove &&\
    yum clean all &&\
    wget http://nginx.org/packages/${OS}/${CENTOS_VERSION}/x86_64/RPMS/nginx-${NGINX_VERSION}.el${EL_VERSION}.ngx.x86_64.rpm &&\
    rpm -iv nginx-${NGINX_VERSION}.el${EL_VERSION}.ngx.x86_64.rpm &&\
    sed -i '1i\
    daemon off;\
    ' /etc/nginx/nginx.conf

CMD ["nginx"]